# -*- coding: utf-8 -*-
from setuphelpers import *

"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: %s" % control.package)
    binmsi = glob.glob('*\\*.msi')[0]
    install_msi_if_needed(binmsi)
    create_programs_menu_shortcut(
        "ClickShare Button Manager",
        target=makepath(programfiles32(),"Barco","ClickShare Button Manager","button_manager.exe"),
        wDir=makepath(programfiles32(),"Barco","ClickShare Button Manager"),
    )
