# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
from waptutils import get_sha256
from urllib.parse import urlparse, urljoin, quote


def update_package():
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    downloadUrl = json.loads(wgets('https://www.barco.com/bin/barco/tde/downloadUrl.json?fileNumber=R33050114&tdeType=3',proxies=proxies))['downloadUrl']
    wget(downloadUrl,'bin.zip')
    unzip('bin.zip')
    remove_file('bin.zip')

    binmsi = glob.glob('*\\*.msi')[0]
    control.set_software_version(get_version_from_binary(binmsi))
    control.save_control_to_wapt()

    return package_updated
